package domain

type TmallItemSeriesItemseriesInsertorupdateResultDO struct {
	/*
	   是否成功     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误码集合     */
	ErrorCodes *[]TmallItemSeriesItemseriesInsertorupdateErrorCode `json:"error_codes,omitempty" `

	/*
	   实际返回值     */
	Model *TmallItemSeriesItemseriesInsertorupdateErrorCode `json:"model,omitempty" `
}

func (s *TmallItemSeriesItemseriesInsertorupdateResultDO) SetSuccess(v bool) *TmallItemSeriesItemseriesInsertorupdateResultDO {
	s.Success = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertorupdateResultDO) SetErrorCodes(v []TmallItemSeriesItemseriesInsertorupdateErrorCode) *TmallItemSeriesItemseriesInsertorupdateResultDO {
	s.ErrorCodes = &v
	return s
}
func (s *TmallItemSeriesItemseriesInsertorupdateResultDO) SetModel(v TmallItemSeriesItemseriesInsertorupdateErrorCode) *TmallItemSeriesItemseriesInsertorupdateResultDO {
	s.Model = &v
	return s
}
